Bug 975126 (CVE-2013-2461)

Summary: CVE-2013-2461 OpenJDK: Missing check for valid DOMCanonicalizationMethod canonicalization algorithm (Libraries, 8014281)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130618,reported=20130610,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.5.0-ibm=notaffected,rhel-6/java-1.5.0-ibm=notaffected,rhel-5/java-1.6.0-ibm=notaffected,rhel-6/java-1.6.0-ibm=notaffected,rhel-5/java-1.7.0-ibm=notaffected,rhel-6/java-1.7.0-ibm=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-04 04:22:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 973111, 973116    

Description Stefan Cornelius 2013-06-17 12:31:56 EDT
It was discovered that the DOMCanonicalizationMethod did not properly verify the canonicalization algorithm. A remote attacker could possibly exploit this flaw to bypass correct XML signature verification.
Comment 1 Jan Lieskovsky 2013-06-19 10:19:41 EDT
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html
Comment 2 errata-xmlrpc 2013-06-19 20:06:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html
Comment 3 errata-xmlrpc 2013-06-19 20:10:14 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html
Comment 4 Stefan Cornelius 2013-06-20 08:01:36 EDT
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/abe9ea5a50d2
Comment 5 errata-xmlrpc 2013-06-20 10:53:37 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html
Comment 6 errata-xmlrpc 2013-07-03 13:12:03 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html
Comment 8 errata-xmlrpc 2014-04-17 07:34:38 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html